List the versions of a row (one table)
GET
/collection/{id}/table/{tableKey}/rows/{rowId}/history
Only collections with schema.history enabled keep versions. Newest first.
Path Parameters
idstring
required·
Resource id
tableKeystring
required·
Table key; main is the default table.
rowIdstring
required·
Row id
Response Body
automationsobject
Names for the workflow actors on this page; null when the caller cannot see it.
current_versioninteger
historyobject,null
next_cursorstring,null
oldest_available_versioninteger,null
prev_cursorstring,null
resultobject[]
actorobject
One of
object · 2 properties
kind
user_idstring
object · 5 properties
automation_idstring
kind
on_behalf_of_user_idstring
run_idstring
session_idstring,null
object · 1 property
kind
bytesinteger
changed_countinteger
changed_fieldsobject[]
At most 20 names; changed_count is the true count.
2 properties
keystring,null
namestring
created_atstring
opstring
Possible values:
baselineinsertupdatedeleterestore
versioninteger
row_deletedboolean
usersobject
Names for the user actors on this page only.
curl -X GET 'https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>/history' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>/history', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection/<id>/table/<tableKey>/rows/<rowId>/history"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())